#ifndef _CONFIG_H
#define _CONFIG_H


/* default settings */

#define DEF_FONT	"variable"
#define DEF_ABG		"steel blue"
#define DEF_BG		"grey50"
#define DEF_FG		"snow"
#define DEF_BW		2
#define DEF_FC		"blue"
#define MINSIZE		15
#define DEF_TERM	"xterm"
/* #define DEF_TERM	"x-terminal-emulator"*/ /*debian users might want uncomment this one*/


/*  Use Motif hints to find if a window should be borderless.
 To use this option, you need to have the Motif development files installed. */
#define  MWM_HINTS

/* You can save a few bytes if you know you won't need colour map support
(eg for 16 or more bit displays) */

/* #define COLOURMAP */

/* keybindings */

#define KEY_NEXT	XK_Tab
#define KEY_NEW		XK_Return
#define KEY_TOPLEFT	XK_n
#define KEY_TOPRIGHT	XK_m
#define KEY_BOTTOMLEFT	XK_comma
#define KEY_BOTTOMRIGHT	XK_period
#define KEY_LEFT	XK_h
#define KEY_RIGHT	XK_l
#define KEY_DOWN	XK_j
#define KEY_UP		XK_k
#define KEY_LOWER	XK_Down
#define KEY_RAISE	XK_Up
#define KEY_TITLE	XK_t
#define KEY_MAXVERT	XK_v
#define KEY_MAX_HOR	XK_b
#define KEY_MAX		XK_x
#define KEY_FIX		XK_f
#define KEY_PREVDESK	XK_Left
#define KEY_NEXTDESK	XK_Right
#define KEY_GROWVERT    XK_i
#define KEY_GROWHOR	XK_p
#define KEY_SHRINKVERT  XK_o
#define KEY_SHRINKHOR   XK_u
#define KEY_SHADE       XK_s
#define KEY_KILL	XK_q

/*Modifier*/

/*uncomment Mod4Mask if you want to use your windows key for something useful*/

#define MOD_MASK        ControlMask | Mod1Mask
//#define MOD_MASK        Mod4Mask

#define MOUSE_MOD     Mod1Mask
//#define MOUSE_MOD       Mod4Mask

/*Modifier for cycling windows*/

#define KEY_NEXT_MASK    Mod1Mask
//#define KEY_NEXT_MASK    ControlMask | Mod1Mask
//#define KEY_NEXT_MASK    Mod4Mask

#endif
